<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: main.Main Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classmain_1_1_main.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="classmain_1_1_main-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">main.Main Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for main.Main:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classmain_1_1_main.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1ca5908dd79617c91509bfcd96ba79e2"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1_main.html#a1ca5908dd79617c91509bfcd96ba79e2">__init__</a> (self)</td></tr>
<tr class="separator:a1ca5908dd79617c91509bfcd96ba79e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12a50bdf973934dda652659b21055e5f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1_main.html#a12a50bdf973934dda652659b21055e5f">output_progress</a> (self, int steps_total, float <a class="el" href="classmain_1_1_main.html#abbdf12afb0f0d3912aa33f6b7b8cfca3">simulated_time_position</a>, float last_simulated_time_position, float simulated_duration)</td></tr>
<tr class="separator:a12a50bdf973934dda652659b21055e5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b349e6314ce8db507b542c187d73338"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1_main.html#a6b349e6314ce8db507b542c187d73338">task_loop</a> (self)</td></tr>
<tr class="separator:a6b349e6314ce8db507b542c187d73338"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8aee100442e45f9f09b450b7f8fe5fa6"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1_main.html#a8aee100442e45f9f09b450b7f8fe5fa6">update_simulation</a> (self, dict <a class="el" href="classmain_1_1_main.html#aaff12aaa9599f21da9d74fc330e8e559">parameters</a>)</td></tr>
<tr class="separator:a8aee100442e45f9f09b450b7f8fe5fa6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a1500e81d0761514396041b0acff3ea"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1_main.html#a3a1500e81d0761514396041b0acff3ea">add_task</a> (self, float simulated_time, <a class="el" href="classmain_1_1task__object.html">task_object</a>, str method_name)</td></tr>
<tr class="separator:a3a1500e81d0761514396041b0acff3ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc808b9f42d3d61836f2132766cff5d1"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1_main.html#afc808b9f42d3d61836f2132766cff5d1">run_task</a> (self, tuple task)</td></tr>
<tr class="separator:afc808b9f42d3d61836f2132766cff5d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b6701ead28e35b222638c0eb08d127c"><td class="memItemLeft" align="right" valign="top">tuple&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1_main.html#a2b6701ead28e35b222638c0eb08d127c">get_next_task</a> (self, tuple old_task)</td></tr>
<tr class="separator:a2b6701ead28e35b222638c0eb08d127c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea51a6848a4a5267bfb5133440be9a06"><td class="memItemLeft" align="right" valign="top">tuple&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1_main.html#aea51a6848a4a5267bfb5133440be9a06">get_time_parameters</a> (self)</td></tr>
<tr class="separator:aea51a6848a4a5267bfb5133440be9a06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ae65e5b0b9f9f185839105f161b4409"><td class="memItemLeft" align="right" valign="top">tuple&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1_main.html#a2ae65e5b0b9f9f185839105f161b4409">filter_arguments</a> (self, function, dict arguments)</td></tr>
<tr class="separator:a2ae65e5b0b9f9f185839105f161b4409"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff7aa935ad053f2867e1c9775a336e4b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1_main.html#aff7aa935ad053f2867e1c9775a336e4b">filtered_call</a> (self, function, dict arguments)</td></tr>
<tr class="separator:aff7aa935ad053f2867e1c9775a336e4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80fd9d6871534f3d85afcde23e2c57a4"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1_main.html#a80fd9d6871534f3d85afcde23e2c57a4">replace_str_with_variables</a> (self, dict parameter)</td></tr>
<tr class="separator:a80fd9d6871534f3d85afcde23e2c57a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84ffc775f7cb2c8b3bb0cce067aa0dbb"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1_main.html#a84ffc775f7cb2c8b3bb0cce067aa0dbb">instance_component</a> (self, str component_name, str module_name, str class_name, dict <a class="el" href="classmain_1_1_main.html#aaff12aaa9599f21da9d74fc330e8e559">parameters</a>)</td></tr>
<tr class="separator:a84ffc775f7cb2c8b3bb0cce067aa0dbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59eac67cbac6649ec11a9456fcf7a643"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1_main.html#a59eac67cbac6649ec11a9456fcf7a643">start_presimulation</a> (self)</td></tr>
<tr class="separator:a59eac67cbac6649ec11a9456fcf7a643"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab84344f58ccc82b32c0eaff1333388ad"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1_main.html#ab84344f58ccc82b32c0eaff1333388ad">prepare_simulation</a> (self)</td></tr>
<tr class="separator:ab84344f58ccc82b32c0eaff1333388ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af67b2d9faebc81b85be6efc5ca5467d4"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1_main.html#af67b2d9faebc81b85be6efc5ca5467d4">start</a> (self)</td></tr>
<tr class="separator:af67b2d9faebc81b85be6efc5ca5467d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55e25bcaf5894da39b40330b7419d3a3"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1_main.html#a55e25bcaf5894da39b40330b7419d3a3">start_all</a> (self)</td></tr>
<tr class="separator:a55e25bcaf5894da39b40330b7419d3a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3e7ad3ead91a109282377d48ffb7594"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1_main.html#aa3e7ad3ead91a109282377d48ffb7594">end</a> (self)</td></tr>
<tr class="separator:aa3e7ad3ead91a109282377d48ffb7594"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a4d609838e090f5486259f3138ae52d40"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1_main.html#a4d609838e090f5486259f3138ae52d40">log</a></td></tr>
<tr class="separator:a4d609838e090f5486259f3138ae52d40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaff12aaa9599f21da9d74fc330e8e559"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1_main.html#aaff12aaa9599f21da9d74fc330e8e559">parameters</a></td></tr>
<tr class="separator:aaff12aaa9599f21da9d74fc330e8e559"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65710331e4f76832d664454926d31958"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1_main.html#a65710331e4f76832d664454926d31958">orbit_env_outputs</a></td></tr>
<tr class="separator:a65710331e4f76832d664454926d31958"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaee39100122a3076245dab4dcc5fa878"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1_main.html#aaee39100122a3076245dab4dcc5fa878">simulation_outputs</a></td></tr>
<tr class="separator:aaee39100122a3076245dab4dcc5fa878"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06d1d910f9f78bfd6ed5474af9cf7d22"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1_main.html#a06d1d910f9f78bfd6ed5474af9cf7d22">progress_value</a></td></tr>
<tr class="separator:a06d1d910f9f78bfd6ed5474af9cf7d22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34f590a74f7545e572496ca05c8d77c4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1_main.html#a34f590a74f7545e572496ca05c8d77c4">variable_list</a></td></tr>
<tr class="separator:a34f590a74f7545e572496ca05c8d77c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbdf12afb0f0d3912aa33f6b7b8cfca3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1_main.html#abbdf12afb0f0d3912aa33f6b7b8cfca3">simulated_time_position</a></td></tr>
<tr class="separator:abbdf12afb0f0d3912aa33f6b7b8cfca3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-attribs" name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a8ed0bd0231e629ce7604f688fd819b6d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1_main.html#a8ed0bd0231e629ce7604f688fd819b6d">finished_prepare</a> = pyqtSignal( )</td></tr>
<tr class="separator:a8ed0bd0231e629ce7604f688fd819b6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20fd90d48b7c086f9d80e1aec05e6fd6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1_main.html#a20fd90d48b7c086f9d80e1aec05e6fd6">finished_simulate</a> = pyqtSignal( )</td></tr>
<tr class="separator:a20fd90d48b7c086f9d80e1aec05e6fd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a1ca5908dd79617c91509bfcd96ba79e2" name="a1ca5908dd79617c91509bfcd96ba79e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ca5908dd79617c91509bfcd96ba79e2">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def main.Main.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a3a1500e81d0761514396041b0acff3ea" name="a3a1500e81d0761514396041b0acff3ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a1500e81d0761514396041b0acff3ea">&#9670;&nbsp;</a></span>add_task()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def main.Main.add_task </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>simulated_time</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>task_object</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>method_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Adds a task to the task_list if it has a valid simulated time.

:param simulated_time: (float) due simulated time for the task to be
    executed
:param task_object: (object) the containing object of the method
:param method_name: (string) the name of the method to be executed
</pre> 
</div>
</div>
<a id="aa3e7ad3ead91a109282377d48ffb7594" name="aa3e7ad3ead91a109282377d48ffb7594"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3e7ad3ead91a109282377d48ffb7594">&#9670;&nbsp;</a></span>end()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def main.Main.end </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Is executed at the end of the task_loop.
</pre> 
</div>
</div>
<a id="a2ae65e5b0b9f9f185839105f161b4409" name="a2ae65e5b0b9f9f185839105f161b4409"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ae65e5b0b9f9f185839105f161b4409">&#9670;&nbsp;</a></span>filter_arguments()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"> tuple main.Main.filter_arguments </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>function</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dict&#160;</td>
          <td class="paramname"><em>arguments</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">returns arguments from arguments specified in dict `arguments` 
without arguments not specified by the function.
</pre> 
</div>
</div>
<a id="aff7aa935ad053f2867e1c9775a336e4b" name="aff7aa935ad053f2867e1c9775a336e4b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff7aa935ad053f2867e1c9775a336e4b">&#9670;&nbsp;</a></span>filtered_call()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def main.Main.filtered_call </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>function</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dict&#160;</td>
          <td class="paramname"><em>arguments</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">calls `function` with arguments specified in dict `arguments` 
without arguments not specified by the function.
</pre> 
</div>
</div>
<a id="a2b6701ead28e35b222638c0eb08d127c" name="a2b6701ead28e35b222638c0eb08d127c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b6701ead28e35b222638c0eb08d127c">&#9670;&nbsp;</a></span>get_next_task()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"> tuple main.Main.get_next_task </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">tuple&#160;</td>
          <td class="paramname"><em>old_task</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Creates a new tuple basing on the specified old task. The new task gets
a due simulated time depending on the sampling rate of the task object.

:param old_task: (tuple) a tuple with the length of three consisting of
    1: simulated time: (float) due simulated time for the task to be
    executed
    2: task object: (object) the containing object of the method
    3: method_name: (string) the name of the method to be executed
</pre> 
</div>
</div>
<a id="aea51a6848a4a5267bfb5133440be9a06" name="aea51a6848a4a5267bfb5133440be9a06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea51a6848a4a5267bfb5133440be9a06">&#9670;&nbsp;</a></span>get_time_parameters()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"> tuple main.Main.get_time_parameters </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Returns the time parameters from the parameters property.
</pre> 
</div>
</div>
<a id="a84ffc775f7cb2c8b3bb0cce067aa0dbb" name="a84ffc775f7cb2c8b3bb0cce067aa0dbb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84ffc775f7cb2c8b3bb0cce067aa0dbb">&#9670;&nbsp;</a></span>instance_component()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def main.Main.instance_component </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>component_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>module_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>class_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dict&#160;</td>
          <td class="paramname"><em>parameters</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Instances a component with a dictionary as parameter set savely, even
if there are not used parameters by the function.
</pre> 
</div>
</div>
<a id="a12a50bdf973934dda652659b21055e5f" name="a12a50bdf973934dda652659b21055e5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12a50bdf973934dda652659b21055e5f">&#9670;&nbsp;</a></span>output_progress()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def main.Main.output_progress </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>steps_total</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>simulated_time_position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>last_simulated_time_position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>simulated_duration</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Outputs the progress as a logging output in the console in percentage 
values.
</pre> 
</div>
</div>
<a id="ab84344f58ccc82b32c0eaff1333388ad" name="ab84344f58ccc82b32c0eaff1333388ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab84344f58ccc82b32c0eaff1333388ad">&#9670;&nbsp;</a></span>prepare_simulation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def main.Main.prepare_simulation </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Prepares the main simulation as it instances components and adds its
tasks. Does not start the simulation.
</pre> 
</div>
</div>
<a id="a80fd9d6871534f3d85afcde23e2c57a4" name="a80fd9d6871534f3d85afcde23e2c57a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80fd9d6871534f3d85afcde23e2c57a4">&#9670;&nbsp;</a></span>replace_str_with_variables()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def main.Main.replace_str_with_variables </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dict&#160;</td>
          <td class="paramname"><em>parameter</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Replaces variable names with variable values specified in property 
variable_list.

:param parameter: (dict) Parameter set to be processed
</pre> 
</div>
</div>
<a id="afc808b9f42d3d61836f2132766cff5d1" name="afc808b9f42d3d61836f2132766cff5d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc808b9f42d3d61836f2132766cff5d1">&#9670;&nbsp;</a></span>run_task()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def main.Main.run_task </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">tuple&#160;</td>
          <td class="paramname"><em>task</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Executes the specified task.

:param task: (tuple) a tuple with the length of three consisting of
    1: simulated time: (float) due simulated time for the task to be
    executed
    2: task object: (object) the containing object of the method
    3: method_name: (string) the name of the method to be executed
</pre> 
</div>
</div>
<a id="af67b2d9faebc81b85be6efc5ca5467d4" name="af67b2d9faebc81b85be6efc5ca5467d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af67b2d9faebc81b85be6efc5ca5467d4">&#9670;&nbsp;</a></span>start()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def main.Main.start </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Starts orbit and env simulation without sensor simulation.</pre> 
</div>
</div>
<a id="a55e25bcaf5894da39b40330b7419d3a3" name="a55e25bcaf5894da39b40330b7419d3a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a55e25bcaf5894da39b40330b7419d3a3">&#9670;&nbsp;</a></span>start_all()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def main.Main.start_all </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Starts orbit and env simulation and sensor simulation afterwards</pre> 
</div>
</div>
<a id="a59eac67cbac6649ec11a9456fcf7a643" name="a59eac67cbac6649ec11a9456fcf7a643"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59eac67cbac6649ec11a9456fcf7a643">&#9670;&nbsp;</a></span>start_presimulation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def main.Main.start_presimulation </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Executes the pre-simulation.
</pre> 
</div>
</div>
<a id="a6b349e6314ce8db507b542c187d73338" name="a6b349e6314ce8db507b542c187d73338"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b349e6314ce8db507b542c187d73338">&#9670;&nbsp;</a></span>task_loop()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def main.Main.task_loop </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Organizes the calls of the different components via the task_list.
</pre> 
</div>
</div>
<a id="a8aee100442e45f9f09b450b7f8fe5fa6" name="a8aee100442e45f9f09b450b7f8fe5fa6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8aee100442e45f9f09b450b7f8fe5fa6">&#9670;&nbsp;</a></span>update_simulation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def main.Main.update_simulation </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dict&#160;</td>
          <td class="paramname"><em>parameters</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">changes the parameters of the instanced components of the simulation 
while it is still running. The method instances an new task_object for 
every component that gets its parameters changed and adds this task to 
the task_list. 

:param parameters: (dict) Parameters dictionary derived from a changed
    configuration
</pre> 
</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a8ed0bd0231e629ce7604f688fd819b6d" name="a8ed0bd0231e629ce7604f688fd819b6d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ed0bd0231e629ce7604f688fd819b6d">&#9670;&nbsp;</a></span>finished_prepare</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">main.Main.finished_prepare = pyqtSignal( )</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a20fd90d48b7c086f9d80e1aec05e6fd6" name="a20fd90d48b7c086f9d80e1aec05e6fd6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20fd90d48b7c086f9d80e1aec05e6fd6">&#9670;&nbsp;</a></span>finished_simulate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">main.Main.finished_simulate = pyqtSignal( )</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4d609838e090f5486259f3138ae52d40" name="a4d609838e090f5486259f3138ae52d40"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d609838e090f5486259f3138ae52d40">&#9670;&nbsp;</a></span>log</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">main.Main.log</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a65710331e4f76832d664454926d31958" name="a65710331e4f76832d664454926d31958"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65710331e4f76832d664454926d31958">&#9670;&nbsp;</a></span>orbit_env_outputs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">main.Main.orbit_env_outputs</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aaff12aaa9599f21da9d74fc330e8e559" name="aaff12aaa9599f21da9d74fc330e8e559"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaff12aaa9599f21da9d74fc330e8e559">&#9670;&nbsp;</a></span>parameters</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">main.Main.parameters</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a06d1d910f9f78bfd6ed5474af9cf7d22" name="a06d1d910f9f78bfd6ed5474af9cf7d22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06d1d910f9f78bfd6ed5474af9cf7d22">&#9670;&nbsp;</a></span>progress_value</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">main.Main.progress_value</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abbdf12afb0f0d3912aa33f6b7b8cfca3" name="abbdf12afb0f0d3912aa33f6b7b8cfca3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abbdf12afb0f0d3912aa33f6b7b8cfca3">&#9670;&nbsp;</a></span>simulated_time_position</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">main.Main.simulated_time_position</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aaee39100122a3076245dab4dcc5fa878" name="aaee39100122a3076245dab4dcc5fa878"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaee39100122a3076245dab4dcc5fa878">&#9670;&nbsp;</a></span>simulation_outputs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">main.Main.simulation_outputs</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a34f590a74f7545e572496ca05c8d77c4" name="a34f590a74f7545e572496ca05c8d77c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34f590a74f7545e572496ca05c8d77c4">&#9670;&nbsp;</a></span>variable_list</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">main.Main.variable_list</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="main_8py.html">main.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacemain.html">main</a></li><li class="navelem"><a class="el" href="classmain_1_1_main.html">Main</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
